[Setup System]
AP Name = Setup Program
Show Setup Completed Message = 1
DLL File Name for Remove Previous Version = DelPrevV.DLL
DLL File Name for Add Device = SetupDev.DLL
DLL File Name for Check Administrator = SetupDev.DLL
DLL File Name for Install Catalog File = InstCat.DLL

[Background]
Small Font = 1
Product Company = Easy Button
Product Name =

[Initiation]
Check Administrator = 1
ReBoot System = 1
Replace Path = 1
Title Name = Easy Button
Install Name = Easy Button
DefDir = <ProgramFilesDir>\EzButton
Copy File From SubDir = 1
SubDir 1 = OSDRC
SubDir 2 = Help
SpeDir 1 = <Windows>\System32\Drivers
Group 1 = Easy Button
Write INI 1 = <DefDir>\UnInst32.INI
Write INI 2 = <Windows>\EzButton.UNI

[Replace File]
File 1 = UNINST32.EXE
File 2 = OSDUTL.DLL
File 3 = COMFNUTL.DLL
File 4 = LGKCUTL.DLL
File 5 = MIXERUTL.DLL
File 6 = CDROMUTL.DLL
File 7 = RGNMAKER.DLL
File 8 = SZUPFUTL.DLL
File 9 = TKBARUTL.DLL
File 10 = WND2FILE.DLL
File 11 = EzButton.EXE
File 12 = EzButton.CFG
File 13 = README.TXT
File 14 = RMDEVICE.EXE
File 15 = DKbFltr.SYS

;; For EMail Detector.
File 16 = DialCnt.DLL
File 17 = NTKCUtl.DLL
File 18 = WMPRemot.dll

[Windows]
File 1.1 = UNINST32.EXE

[DefDir]
File 1.1 = OSDUTL.DLL
File 1.2 = COMFNUTL.DLL
File 1.3 = LGKCUTL.DLL
File 1.4 = MIXERUTL.DLL
File 1.5 = CDROMUTL.DLL
File 1.6 = RGNMAKER.DLL
File 1.7 = SZUPFUTL.DLL
File 1.8 = TKBARUTL.DLL
File 1.9 = WND2FILE.DLL
File 1.10 = EzButton.EXE
File 1.11 = EzButton.CFG
File 1.12 = README.TXT
File 1.13 = RMDEVICE.EXE

;; For EMail Detector.
File 1.14 = DialCnt.DLL
File 1.15 = NTKCUtl.DLL
File 1.16 = WMPRemot.dll

[SubDir 1]
File 1.1 = NEXT.BMP
File 1.2 = PLAYPAUS.BMP
File 1.3 = PREVIOUS.BMP
File 1.4 = STOP.BMP
File 1.5 = BeepHigh.bmp
File 1.6 = BeepMute.bmp
File 1.7 = Play.bmp
File 1.8 = Pause.bmp

[SubDir 2]
File 1.1 = EBHelp.htm,	SimpChin\EBHelp.htm
File 1.2 = Conf-ap.jpg,	SimpChin\Conf-ap.jpg
File 1.3 = Conf-pfn.jpg,SimpChin\Conf-pfn.jpg
File 1.4 = EBHelp1.jpg,	SimpChin\EBHelp1.jpg
File 1.5 = EBHelp2.jpg,	SimpChin\EBHelp2.jpg
File 1.6 = EBHelp3.jpg,	SimpChin\EBHelp3.jpg
File 1.7 = EBHelp4.jpg,	SimpChin\EBHelp4.jpg
File 1.8 = EBHelp6.jpg,	SimpChin\EBHelp6.jpg

[SpeDir 1]
File 1.1 = DKbFltr.SYS,		WHQL\DKbFltr.SYS

[Group 1]
Item 1 = <DefDir>\EzButton.EXE, Easy Button
Item 2 = <Windows>\UnInst32.exe EzButton.UNI, UnInstall
Item 3 = <SubDir 2>\EBHelp.htm, Help

[Write INI 1]
Item 1 = System, Product Name, Easy Button
Item 2 = System, Reboot System, 1
Item 3 = System, Check Administrator, 1
Item 4 = Group, Group 1, Easy Button
Item 5 = UnRegister, Key 1, HKEY_LOCAL_MACHINE
Item 6 = UnRegister, SubKey 1, SOFTWARE\Microsoft\Windows\CurrentVersion\Run
Item 7 = UnRegister, Key Class 1, NULL
Item 8 = UnRegister, Name 1.1, EzButton
Item 9 = UnRegisterTree, Key 1, HKEY_LOCAL_MACHINE
Item 10 = UnRegisterTree, SubKey 1, Software\Compal\EzButton
Item 11 = UnRegisterTree, Key 2, HKEY_CURRENT_USER
Item 12 = UnRegisterTree, SubKey 2, Software\Compal\EzButton
Item 13 = UnRegisterTree, Key 3, HKEY_LOCAL_MACHINE
Item 14 = UnRegisterTree, SubKey 3, Software\Microsoft\Windows\CurrentVersion\App Paths\EzButton.EXE
Item 15 = UnRegisterDevice, Class Name, Keyboard
Item 16 = UnRegisterDevice, Device Name, Easy Button
Item 17 = UnRegisterDevice, Filter Name, DKbFltr
Item 18 = Execute File, File 1, EzButton.exe Destroy
Item 19 = Delete File, File 1, EzButton.UNI :@
Item 20 = Delete File, File 2, System32\Drivers\DKbFltr.SYS :@
Item 21 = Uninstall, Key, HKEY_LOCAL_MACHINE
Item 22 = Uninstall, SubKey, EzButton
Item 23 = RemoveDevice Execute File,File,RmDevice.EXE Keyboard "Easy Button"

[Write INI 2]
Install Path = System, Path
Item 1 = System, UnInstall Info File, UnInst32.INI

[Register]
Key 1 = HKEY_LOCAL_MACHINE
SubKey 1 = SOFTWARE\Microsoft\Windows\CurrentVersion\Run
Name 1.1 = EzButton
Data 1.1 = <DefDir>\EzButton.EXE

; OSDUtl.DLL
Key 2 = HKEY_LOCAL_MACHINE
SubKey 2 = Software\Compal\EzButton\OnScreen
Name 2.1 = Color
Data 2.1 = 00FF00
Name 2.2 = Position
Data 2.2 = 9
Name 2.3 = Display Seconds
Data 2.3 = 1
Name 2.4 = Normal String Length
Data 2.4 = 18
Name 2.5 = RC Path
Data 2.5 = OSDRC
Name 2.6 = Background Color
Data 2.6 = FF
Name 2.7 = Enable Default Button
Data 2.7 = 1
Name 2.8 = Font
Data 2.8 = FFFFFFB3,0,0,0,2BC,0,0,0,0,3,2,1,31,

Key 3 = HKEY_LOCAL_MACHINE
SubKey 3 = Software\Compal\EzButton\OnScreen\Predefined\Play/Pause
Name 3.1 = ID
Data 3.1 = 102
Name 3.2 = Bitmap
Data 3.2 = PlayPaus.BMP

Key 4 = HKEY_LOCAL_MACHINE
SubKey 4 = Software\Compal\EzButton\OnScreen\Predefined\Stop
Name 4.1 = ID
Data 4.1 = 103
Name 4.2 = Bitmap
Data 4.2 = Stop.BMP

Key 5 = HKEY_LOCAL_MACHINE
SubKey 5 = Software\Compal\EzButton\OnScreen\Predefined\Next Track
Name 5.1 = ID
Data 5.1 = 107
Name 5.2 = Bitmap
Data 5.2 = Next.BMP

Key 6 = HKEY_LOCAL_MACHINE
SubKey 6 = Software\Compal\EzButton\OnScreen\Predefined\Previous Track
Name 6.1 = ID
Data 6.1 = 106
Name 6.2 = Bitmap
Data 6.2 = Previous.BMP

Key 7 = HKEY_LOCAL_MACHINE
SubKey 7 = Software\Compal\EzButton\OnScreen\Predefined\NO CD
Name 7.1 = Text
Data 7.1 = CD
Name 7.2 = ID
Data 7.2 = 300

Key 8 = HKEY_LOCAL_MACHINE
SubKey 8 = Software\Compal\EzButton\OnScreen\Predefined\Data CD
Name 8.1 = Text
Data 8.1 = CD
Name 8.2 = ID
Data 8.2 = 301

Key 9 = HKEY_LOCAL_MACHINE
SubKey 9 = Software\Compal\EzButton\OnScreen\Predefined\Audio CD
Name 9.1 = Text
Data 9.1 = ƵCD
Name 9.2 = ID
Data 9.2 = 302

Key 10 = HKEY_LOCAL_MACHINE
SubKey 10 = Software\Compal\EzButton\OnScreen\Predefined\Video CD
Name 10.1 = Text
Data 10.1 = ƵCD
Name 10.2 = ID
Data 10.2 = 304

Key 11 = HKEY_LOCAL_MACHINE
SubKey 11 = Software\Compal\EzButton\OnScreen\Predefined\DVD
Name 11.1 = Text
Data 11.1 = DVD
Name 11.2 = ID
Data 11.2 = 306

; EzButton
Key 12 = HKEY_LOCAL_MACHINE
SubKey 12 = Software\Compal\EzButton\Settings
Name 12.1 = AP Name
Data 12.1 = Easy Button
Name 12.2 = Help File
Data 12.2 = 
Name 12.3 = Check PlayMode By Timer
Data 12.3 = 0
Name 12.4 = Check Start EC-Command
Data 12.4 = 0
Name 12.5 = Check Start EC-Command Interval
Data 12.5 = 3E8
Name 12.6 = Enable ScanCode Interval
Data 12.6 = 7D0
Name 12.7 = Volume Level
Data 12.7 = 16
Name 12.8 = Disable All Function When Media Center Enabled
Data 12.8 = 0

Key 13 = HKEY_LOCAL_MACHINE
SubKey 13 = Software\Compal\EzButton\Settings\Buttons\Digital-Mode
Name 13.1 = Command
Data 13.1 = 
Name 13.2 = Command Type
Data 13.2 = 3
Name 13.3 = Label
Data 13.3 = ģʽ
Name 13.4 = Remote Code
Data 13.4 = 06B5
Name 13.5 = Description
Data 13.5 = ģʽ
Name 13.6 = Configable
Data 13.6 = 0

Key 14 = HKEY_LOCAL_MACHINE
SubKey 14 = Software\Compal\EzButton\Settings\Buttons\WWW
Name 14.1 = Command
Data 14.1 = iexplore.exe
Name 14.2 = Command Type
Data 14.2 = 1
Name 14.3 = Label
Data 14.3 = ά
Name 14.4 = Remote Code
Data 14.4 = 0706
Name 14.5 = Description
Data 14.5 = ά
Name 14.6 = Configable
Data 14.6 = 1

Key 15 = HKEY_LOCAL_MACHINE
SubKey 15 = Software\Compal\EzButton\Settings\Buttons\EMail
Name 15.1 = Command
Data 15.1 = (EMail)
Name 15.2 = Command Type
Data 15.2 = 1
Name 15.3 = Label
Data 15.3 = ʼ
Name 15.4 = Remote Code
Data 15.4 = 0141
Name 15.5 = Description
Data 15.5 = ʼ
Name 15.6 = Configable
Data 15.6 = 1

Key 16 = HKEY_LOCAL_MACHINE
SubKey 16 = Software\Compal\EzButton\Settings\Predef-Func\Mute
Name 16.1 = Label
Data 16.1 = 
Name 16.2 = Remote Code
Data 16.2 = 0500
Name 16.3 = Description
Data 16.3 = 

Key 17 = HKEY_LOCAL_MACHINE
SubKey 17 = Software\Compal\EzButton\Settings\Predef-Func\Close
Name 17.1 = Label
Data 17.1 = ر
Name 17.2 = Remote Code
Data 17.2 = 0301
Name 17.3 = Description
Data 17.3 = رӦó

Key 18 = HKEY_LOCAL_MACHINE
SubKey 18 = Software\Compal\EzButton\Settings\Predef-Func\Rotate
Name 18.1 = Label
Data 18.1 = 񿪹
Name 18.2 = Remote Code
Data 18.2 = 0120
Name 18.3 = Description
Data 18.3 = 񿪹

Key 19 = HKEY_LOCAL_MACHINE
SubKey 19 = Software\Compal\EzButton\Settings\Predef-APP\Explorer
Name 19.1 = Command
Data 19.1 = Explorer.exe
Name 19.2 = Label
Data 19.2 = ļ
Name 19.3 = Description
Data 19.3 = ļ

Key 20 = HKEY_LOCAL_MACHINE
SubKey 20 = Software\Compal\EzButton\Settings\Predef-APP\Paint
Name 20.1 = Command
Data 20.1 = MSPAINT.EXE
Name 20.2 = Label
Data 20.2 = ͼ
Name 20.3 = Description
Data 20.3 = ͼ

Key 21 = HKEY_LOCAL_MACHINE
SubKey 21 = Software\Compal\EzButton\Settings\Predef-APP\Calc
Name 21.1 = Command
Data 21.1 = Calc.EXE
Name 21.2 = Label
Data 21.2 = 
Name 21.3 = Description
Data 21.3 = 

Key 22 = HKEY_LOCAL_MACHINE
SubKey 22 = Software\Compal\EzButton\Settings\Predef-APP\Notepad
Name 22.1 = Command
Data 22.1 = Notepad.EXE
Name 22.2 = Label
Data 22.2 = ±
Name 22.3 = Description
Data 22.3 = ±

Key 23 = HKEY_LOCAL_MACHINE
SubKey 23 = Software\Compal\EzButton\Settings\TaskBar Icon
Name 23.1 = Support About MenuItem
Data 23.1 = 1
Name 23.2 = Support Help MenuItem
Data 23.2 = 0
Name 23.3 = Support Configuration MenuItem
Data 23.3 = 1
Name 23.4 = Support Confirmation MenuItem
Data 23.4 = 0

Key 24 = HKEY_LOCAL_MACHINE
SubKey 24 = Software\Compal\EzButton\Settings\About
Name 24.1 = Description
Data 24.1 = Easy Button    汾 1.070
Name 24.2 = Copyright
Data 24.2 = Copyright(C) 2005 Dritek System Inc.

;; for Filter Services
Key 25 = HKEY_LOCAL_MACHINE
SubKey 25 = SYSTEM\CurrentControlSet\Services\DKbFltr
Name 25.1 = DisplayName
Data 25.1 = Dritek HotKey Keyboard Filter Driver
Name 25.2 = Group
Data 25.2 = Keyboard Port
Name 25.3 = ImagePath
Data 25.3 = System32\Drivers\DKbFltr.sys
Name 25.4 = Start
Data 25.4 = 3
DataType 25.4 = REG_DWORD
Name 25.5 = Tag
Data 25.5 = 5
DataType 25.5 = REG_DWORD
Name 25.6 = Type
Data 25.6 = 1
DataType 25.6 = REG_DWORD
Name 25.7 = ErrorControl
Data 25.7 = 0
DataType 25.7 = REG_DWORD

Key 26 = HKEY_LOCAL_MACHINE
SubKey 26 = Software\Microsoft\Windows\CurrentVersion\App Paths\EzButton.EXE
Name 26.1 = Path
Data 26.1 = <DefDir>
Name 26.2 = NULL
Data 26.2 = <DefDir>\EzButton.EXE

;; Mute/UnMute
Key 27 = HKEY_LOCAL_MACHINE
SubKey 27 = Software\Compal\EzButton\OnScreen\Predefined\Mute
Name 27.1 = ID
Data 27.1 = 1
Name 27.2 = Position
Data 27.2 = 5
Name 27.3 = Bitmap
Data 27.3 = BeepMute.BMP
Name 27.4 = Paint Bitmap
Data 27.4 = 1
Name 27.5 = Bitamp Transparent Color
Data 27.5 = 0000FF
Name 27.6 = Bitmap No Stretch
Data 27.6 = 1

Key 28 = HKEY_LOCAL_MACHINE
SubKey 28 = Software\Compal\EzButton\OnScreen\Predefined\UnMute
Name 28.1 = ID
Data 28.1 = 2
Name 28.2 = Position
Data 28.2 = 5
Name 28.3 = Bitmap
Data 28.3 = BeepHigh.BMP
Name 28.4 = Paint Bitmap
Data 28.4 = 1
Name 28.5 = Bitamp Transparent Color
Data 28.5 = 0000FF
Name 28.6 = Bitmap No Stretch
Data 28.6 = 1

Key 29 = HKEY_LOCAL_MACHINE
SubKey 29 = Software\Compal\EzButton\OnScreen\Predefined\Volume
Name 29.1 = Volume ID
Data 29.1 = 3
Name 29.2 = Max Volume Bar Level
Data 29.2 = 10
Name 29.3 = Text
Data 29.3 = Volume

Key 30 = HKEY_LOCAL_MACHINE
SubKey 30 = Software\Compal\EzButton\OnScreen\Predefined\Brightness
Name 30.1 = Volume ID
Data 30.1 = 400
Name 30.2 = Max Volume Bar Level
Data 30.2 = A
Name 30.3 = Text
Data 30.3 = Brightness

Key 31 = HKEY_LOCAL_MACHINE
SubKey 31 = Software\Compal\EzButton\OnScreen\Predefined\Play
Name 31.1 = ID
Data 31.1 = 100
Name 31.2 = Bitmap
Data 31.2 = Play.BMP

Key 32 = HKEY_LOCAL_MACHINE
SubKey 32 = Software\Compal\EzButton\OnScreen\Predefined\Pause
Name 32.1 = ID
Data 32.1 = 101
Name 32.2 = Bitmap
Data 32.2 = Pause.BMP

[UnInstall]
Key = HKEY_LOCAL_MACHINE
SubKey = EzButton
DisplayName = Easy Button
UninstallString = <Windows>\UnInst32.exe EzButton.UNI

[INF File]
INF File = WHQL\EzButton.INF
Catalog File = WHQL\EzButton.CAT
